[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Gnome required?



Terry Polzin wrote:
> On Monday 05 March 2007 09:08, Jesse Keating wrote:
>> On Monday 05 March 2007 05:36:13 Terry Polzin wrote:
>>> I install F7T2  specifically selecting no GNOME.  What happens when I log
>>> in   GNOME starts?  I try to remove GNOME via yum group remove and it
>>> wants to remove openoffice and other things I want.
>> There are currently some packages that require part of the gnome stack,
>> things in gtk, things that use gnome features, etc..  Some of these are
>> fairly low level, like firstboot, or system-config-*.  I think one of the
>> anaconda logs shows what things are being brought into your package list
>> and why, but I can't recall which one.
> Here's the laundry list of things it wants to remove if I try to run 'yum 
> groupremove " GNOME Desktop Environment"
> 
> =============================================================================
>  Package                 Arch       Version          Repository        Size
> =============================================================================
> Removing:
>  at-spi                  i386       1.17.0-1.fc7     installed         901 k
>  control-center          i386       1:2.17.91-2.fc7  installed         8.2 M
>  desktop-printing        i386       0.20-3.fc7       installed         378 k
>  dvd+rw-tools            i386       7.0-2.fc7        installed         258 k
>  fast-user-switch-applet  i386       2.17.3-3.fc7     installed         1.6 M
>  gnome-media             i386       2.17.91-1.fc7    installed         5.4 M
>  gnome-panel             i386       2.17.91-6.fc7    installed          11 M
>  gnome-session           i386       2.17.91-2.fc7    installed         1.4 M
>  gnome-volume-manager    i386       2.17.0-4.fc7     installed         2.1 M
>  gthumb                  i386       2.9.1-1.fc7      installed         6.0 M
>  gtk2-engines            i386       2.9.3-2.fc7      installed         1.0 M
>  im-chooser              i386       0.3.4-1.fc7      installed         202 k
>  metacity                i386       2.17.5-1.fc7     installed         9.9 M
>  nautilus-cd-burner      i386       2.17.7-1.fc7     installed         1.8 M
>  notification-daemon     i386       0.3.6-1.fc7      installed         113 k
> Removing for dependencies:
>  ImageMagick             i386       6.2.8.0-3.fc6.1  installed          11 M
>  bluez-gnome             i386       0.6-1.fc7        installed          67 k
>  bluez-utils             i386       3.9-1.fc7        installed         923 k
>  echo-icon-theme    noarch     0.2-1.20070206wiki.fc7  installed         942 k
>  eel2                    i386       2.17.90-1.fc7    installed         1.1 M
>  evolution-data-server   i386       1.9.91-1.fc7     installed         9.8 M
>  fedora-logos            noarch     6.0.93-1.fc7     installed         5.9 M
>  firefox                 i386       2.0.0.1-5.fc7    installed          38 M
>  firstboot               noarch     1.4.30-2.fc7     installed         960 k
>  gaim              i386       2:2.0.0-0.30.beta6.fc7  installed          18 M
>  gdm                     i386       1:2.17.6-4.fc7   installed          11 M
>  gimp                    i386       2:2.2.13-1.fc6   installed          25 M
>  gimp-help               noarch     2-0.1.0.11.fc7   installed          84 M
>  glabels                 i386       2.0.4-5.fc6      installed         2.2 M
>  gnome-desktop           i386       2.17.91-1.fc7    installed         1.9 M
>  gnome-mount             i386       0.5-3.fc7        installed         228 k
>  gnome-python2           i386       2.17.2-2.fc7     installed         595 k
>  gnome-python2-bonobo    i386       2.17.2-2.fc7     installed         168 k
>  gnome-python2-canvas    i386       2.17.2-2.fc7     installed          48 k
>  gnome-python2-extras    i386       2.14.2-9.fc7     installed          62 k
>  gnome-python2-gconf     i386       2.17.2-2.fc7     installed          74 k
>  gnome-python2-gnomevfs  i386       2.17.2-2.fc7     installed         159 k
>  gnome-python2-gtkhtml2  i386       2.14.2-9.fc7     installed          17 k
>  gnome-vfs2              i386       2.17.91-1.fc7    installed         4.7 M
>  grub                    i386       0.97-13          installed         1.0 M
>  gstreamer-plugins-base  i386       0.10.11-1.fc7    installed         1.6 M
>  gstreamer-plugins-good  i386       0.10.5-5.fc7     installed         1.5 M
>  gtkhtml2                i386       2.11.0-3         installed         430 k
>  k3b                     i386       1.0.0-0.rc6.1.fc7  installed          24 M
>  kdeaccessibility        i386       1:3.5.6-1.fc7    installed          12 M
>  kdeartwork              i386       3.5.6-1.fc7      installed         7.4 M
>  kdebase                 i386       6:3.5.6-1.fc7    installed          53 M
>  kdegames                i386       6:3.5.6-1.fc7    installed          17 M
>  kdegraphics             i386       7:3.5.6-1.fc7    installed          18 M
>  kdelibs                 i386       6:3.5.6-1.fc7    installed          49 M
>  kdemultimedia           i386       6:3.5.6-2.fc7    installed          18 M
>  kdenetwork              i386       7:3.5.6-1.fc7    installed          29 M
>  kdepim                  i386       6:3.5.6-2.fc7    installed          51 M
>  kdeutils                i386       6:3.5.6-1.fc7    installed         9.3 M
>  kdnssd-avahi     i386       0.1.3-0.1.20060713svn.fc6  installed        114 k
>  libbonoboui             i386       2.17.91-1.fc7    installed         1.2 M
>  libgail-gnome           i386       1.1.3-1.2.1      installed          60 k
>  libgnome                i386       2.17.91-1.fc7    installed         3.5 M
>  libgnomekbd             i386       2.17.2-2.fc7     installed         171 k
>  libgnomeui              i386       2.17.91-1.fc7    installed         3.2 M
>  libnotify               i386       0.4.3-2.fc7      installed          90 k
>  librsvg2                i386       2.16.1-1.fc7     installed         425 k
>  nautilus-extensions     i386       2.17.91-1.fc7    installed          31 k
>  notify-python           i386       0.1.0-4.fc7      installed          24 k
>  openoffice.org-base     i386       1:2.2.0-8.1      installed         2.2 M
>  openoffice.org-calc     i386       1:2.2.0-8.1      installed          16 M
>  openoffice.org-core     i386       1:2.2.0-8.1      installed         177 M
>  openoffice.org-draw     i386       1:2.2.0-8.1      installed         2.7 M
>  openoffice.org-graphicfilter  i386       1:2.2.0-8.1      installed     376 k
>  openoffice.org-impress  i386       1:2.2.0-8.1      installed         4.3 M
>  openoffice.org-math     i386       1:2.2.0-8.1      installed         3.2 M
>  openoffice.org-writer   i386       1:2.2.0-8.1      installed         6.3 M
>  openoffice.org-xsltfilter  i386       1:2.2.0-8.1      installed        212 k
>  pirut                   noarch     1.3.2-1.fc7      installed         1.0 M
>  planner                 i386       0.14.2-4.fc7     installed         5.9 M
>  policycoreutils-gui     i386       2.0.2-3.fc7      installed         310 k
>  redhat-artwork          i386       5.0.10-1.fc7     installed         7.1 M
>  rhgb                    i386       0.17.1-1.fc7     installed         364 k
>  rhythmbox               i386       0.9.7-11.fc7     installed         8.3 M
>  setroubleshoot          noarch     1.9.1-1.fc7      installed         249 k
>  sound-juicer            i386       2.16.3-1.fc7     installed         2.5 M
>  system-config-date      noarch     1.8.11-1.fc7     installed         3.5 M
>  system-config-display   noarch     1.0.48-1.fc7     installed         789 k
>  system-config-keyboard  noarch     1.2.11-1.fc7     installed         193 k
>  system-config-kickstart  noarch     2.7.2-1.fc7      installed         2.6 M
>  system-config-lvm       noarch     1.0.18-1.2.FC6   installed         2.6 M
>  system-config-network   noarch     1.3.96-1.fc6     installed         2.1 M
>  totem                   i386       2.17.92-2.fc7    installed         5.4 M
>  totem-mozplugin         i386       2.17.92-2.fc7    installed         504 k
>  totem-plparser          i386       2.17.92-2.fc7    installed          53 k
>  xsane-gimp              i386       0.991-4.fc7      installed         617 k
> 
> Transaction Summary
> =============================================================================
> Install      0 Package(s)
> Update       0 Package(s)
> Remove      91 Package(s)
> 
> 
> 
> Hell, it even wants to remove KDE!  What's up with this?
> 
I think what Jessie was trying to tell you is that you will not be able
to use the "Group Remove" option of Yum because that will remove things
that the listed programs require.  No way around that, sorry to say.

How did you select no Gnome? I assume it was where Anaconda allows you
to specify packages no? Did you check the log in the /root directory?
that may tell you if you installed the complete Gnome, which may be an
excellent start for a Bug Report if Gnome was installed despite your
telling it not to.

I'm no expert here by a long shot, but it seem to me that if Anaconda
installed Gnome when you said NO that that may be your problem and other
than listing the Gnome Group and removing packages one at a time,
checking that you are not removing needed dependencies (you don't really
want to do THAT do you?).  My suggestion is to bug report it with as
much info as you can give it and live with it 'til F7T3 or T4 comes out.
(hey it's only a month or so eh?)

Scott


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]